import { SimpleLocalIntegration } from '../../core/index.js';
import { YoulessConfigFlow } from './youless.classes.configflow.js';
import { createYoulessDiscoveryDescriptor } from './youless.discovery.js';
import type { IYoulessConfig } from './youless.types.js';
import { youlessDomain, youlessProfile } from './youless.types.js';

export class YoulessIntegration extends SimpleLocalIntegration<IYoulessConfig> {
  public readonly domain = youlessDomain;
  public readonly discoveryDescriptor = createYoulessDiscoveryDescriptor();
  public readonly configFlow = new YoulessConfigFlow();

  constructor() {
    super(youlessProfile);
  }
}

export class HomeAssistantYoulessIntegration extends YoulessIntegration {}
